update poll vote
curl --request PUT \
--url https://apix.us.amity.co/api/v3/polls/{pollId}/votes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"answerIds": [
"<string>"
]
}
'import requests
url = "https://apix.us.amity.co/api/v3/polls/{pollId}/votes"
payload = { "answerIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "<content-type>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '<content-type>'},
body: JSON.stringify({answerIds: ['<string>']})
};
fetch('https://apix.us.amity.co/api/v3/polls/{pollId}/votes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"polls": [
{
"pollId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"title": "<string>",
"question": "<string>",
"answers": [
{
"data": "<string>",
"fileId": "<string>",
"voteCount": 0,
"isVotedByUser": false,
"id": "<string>"
}
],
"answerType": "<string>",
"closedAt": "<string>",
"createdAt": "<string>",
"isVoted": false,
"status": "open",
"closedIn": 123
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"roles": [
{
"roleId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"isDeleted": false,
"displayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400400,
"message": "Poll not found."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Poll
update poll vote
Update an existing vote on a poll
PUT
/
api
/
v3
/
polls
/
{pollId}
/
votes
update poll vote
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Information to update an existing poll vote.
Required
- answerIds for updating the poll vote
Updated answer IDs for the poll vote
⌘I